Perlfect Solutions
 

[Perlfect-search] Problems with PerlFect Search 3.30

Linda Antonsson linda@mbox321.swipnet.se
Sun, 28 Apr 2002 01:58:21 +0200
Hi,

I've had version 3.20 of the search script from PerlFect installed for
quite a while now, and its worked just fine all the time. Today, I tried
upgrading to 3.30, and so far I've been unable to get it to work. Has
anything changed regarding server requirements between 3.20 and 3.30?
The setup is as identical as I could make it (except for on the new
options) and the indexer works fine, but when I try to access the script
I get a 500 Internal Server Error.

I did rename search.pl to search.cgi as suggested, because if I don't
and I go to search.pl in my browser, it just tries to download it. But
with search.cgi, I get the above error. I did change all occasions (just
one, I believe) of search.pl to search.cgi as well ... so I am not sure
what else could be wrong. Version 3.20 and 3.30 are both setup under the
same directory (not in the cgi-bin, as I don't have one, but I can run
.cgi files from anywhere) but in separate folders, and the permissions
are set according to the readme.

If anyone has any thoughts on this, I'd love to hear them.

Linda